QGIS Application - Bug report #14138
Vector layers have been exported into broken DXF file
2016-01-19 02:44 AM - Eva Stopkova

Status: Closed

Priority: Low

Assignee:

Category: DXF export

Affected QGIS version:2.12.2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22140
Description

When exporting layers loaded into QGIS project, output DXF file is broken. Error message in AutoCAD (Civil 3D 2015) looks like this:

DXF read error

Error in APPID Table

DXF read error on line 146.

Invalid or incomplete DFX input -- drawing discarted.

In the line 146, there is "inf.0" instead of meaningful value (as well as in another lines). This happens for shapefiles as well as for the layers
loaded from GRASS GIS mapset.

Many thanks for considering this issue.

Associated revisions

Revision 0a07fee1 - 2016-08-18 06:17 PM - Jiirgen Fischer

dxf export: avoid symbology scale O (fixes #14138)

Revision 72cbff91 - 2016-08-18 06:36 PM - Jiirgen Fischer

dxf export: avoid symbology scale O (fixes #14138)

(cherry picked from commit 0a07fee15297e18a73b63f194f5aeecffd76800c)

Revision 7b7a156f - 2016-08-18 06:36 PM - Jiirgen Fischer

dxf export: avoid symbology scale 0 (fixes #14138)

(cherry picked from commit 0a07fee15297e18a73b63f194f5aeecffd76800c)

Revision 21325a2b - 2016-08-18 06:36 PM - Jiirgen Fischer

dxf export: avoid symbology scale O (fixes #14138)

(cherry picked from commit 0a07fee15297e18a73b63f194f5aeecffd76800c)
History

#1 - 2016-06-20 09:38 AM - Jiirgen Fischer
- Status changed from Open to Feedback

can you supply a sample input file that produces output like this?

#2 - 2016-08-18 08:33 AM - Andrea Ghensi
- File test.zip added

Hi,

| can reproduce the error (In fact, I'm not using this feature but exporting every layer to their own DXF).

Many lines have the "inf.0" or "-inf.0" value instead of an actual value.

Attached a simple project (using OSM features) and the corrupted DXF.

I'm on Win 8, Qgis 2.14.

#3 - 2016-08-18 09:11 AM - Jiirgen Fischer

Andrea Ghensi wrote:

Hi,

Many lines have the "inf.0" or "-inf.0" value instead of an actual value.

Attached a simple project (using OSM features) and the corrupted DXF.
I'm on Win 8, Qgis 2.14.

Does that only happen if you choose 0 as symbology scale?

#4 - 2016-08-18 09:37 AM - Jiirgen Fischer
- Status changed from Feedback to Closed

Fixed in changeset commit:"21325a2b4da0afe107d3c4af4e4c295¢cd267264".

Files

| can reproduce the error (In fact, I'm not using this feature but exporting every layer to their own DXF).

test.zip 1.92 MB
